## modsecurity 3.0.3.1

=== debian/changelog ===
modsecurity (3.0.3.1-1+deb10u2+dde) unstable; urgency=medium

  * update

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 06 Jul 2021 10:12:38 +0800

modsecurity (3.0.3.1-1+deb10u2+dde) buster-security; urgency=medium

  * Non-maintainer upload.
  * Update version.

 -- wangpei <wangpei@uniontech.com>  Wed, 30 Jun 2021 14:31:23 +0800

modsecurity (3.0.3-1+deb10u2) buster-security; urgency=medium

  * Add patch by Ervin Hegedüs to fix CVE-2020-15598.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 16 Sep 2020 13:04:37 +0200

modsecurity (3.0.3-1+deb10u1) buster; urgency=medium

  * Fixes CVE-2019-19886 (Closes: #949682)

 -- Ervin Hegedus <airween@gmail.com>  Tue, 21 Jan 2020 21:52:59 +0000
