=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: modsecurity
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 11), libyajl-dev, libgeoip-dev, libxml2-dev, libpcre++-dev, libcurl4-gnutls-dev, liblua5.3-dev, libmaxminddb-dev, libfuzzy-dev
+Build-Depends: debhelper (>= 11), libyajl-dev, libgeoip-dev, libxml2-dev, libpcre3-dev, libcurl4-gnutls-dev, liblua5.3-dev, libmaxminddb-dev, libfuzzy-dev, pkg-config
 Standards-Version: 4.2.1
 Section: libs
+Uploaders: Ervin Hegedus <airween@gmail.com>
 Homepage: https://www.modsecurity.org/
-#Vcs-Browser: https://salsa.debian.org/debian/modsecurity
-#Vcs-Git: https://salsa.debian.org/debian/modsecurity.git
+Vcs-Browser: https://salsa.debian.org/agi/modsecurity
+Vcs-Git: https://salsa.debian.org/agi/modsecurity.git
 
 Package: libmodsecurity-dev
 Section: libdevel
