## modsecurity 3.0.4

=== debian/changelog ===
modsecurity (3.0.4-2) unstable; urgency=high

  * Added patch: rx_op_remove_g_modif.patch. Fixes CVE-2020-15598

 -- Ervin Hegedüs <airween@gmail.com>  Mon, 14 Sep 2020 12:43:20 +0200

modsecurity (3.0.4-1) unstable; urgency=medium

  [ Ervin Hegedüs ]
  * New upstream version 3.0.4. Fixes CVE-2019-19886
  * Remove setenv_term_avoid.patch, upstream contains the fix
  * Remove bigendian_fix.patch, upstream contains the fix
  * Bump Standards-Version to 4.4.1
    - removed Vcs-Browser field from d/control

 -- Ervin Hegedus <airween@gmail.com>  Thu, 16 Jan 2020 09:52:23 +0100
