## modsecurity 3.0.6

=== debian/changelog ===
modsecurity (3.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Fixes CVE-2021-42717
  * Removed rx_op_remove_g_modif.patch; upstream contains it
  * Bump compat version to 13
  * Bump Standards-Version to 4.6.0
  * Added modsecurity.pc to d/libmodsecurity-dev.install

 -- Ervin Hegedus <airween@gmail.com>  Wed, 24 Nov 2021 14:25:11 +0100
