=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: modsecurity
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 11), libyajl-dev, libgeoip-dev, libxml2-dev, libpcre3-dev, libcurl4-gnutls-dev, liblua5.3-dev, libmaxminddb-dev, libfuzzy-dev, pkg-config
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 13), libyajl-dev, libgeoip-dev, libxml2-dev, libpcre3-dev, libcurl4-gnutls-dev, liblua5.3-dev, libmaxminddb-dev, libfuzzy-dev, pkg-config
+Standards-Version: 4.6.0
 Section: libs
 Uploaders: Ervin Hegedus <airween@gmail.com>
 Homepage: https://www.modsecurity.org/
