## modsecurity 3.0.8

=== debian/changelog ===
modsecurity (3.0.8-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.6.1

 -- Ervin Hegedus <airween@gmail.com>  Fri, 09 Sep 2022 14:05:02 +0200
