=== debian/changelog ===
modsecurity (3.0.9-1+deb12u1) bookworm; urgency=medium

  * Applied upstream patch to fix DoS.
    CVE-2023-38285 (Closes: #1042475)

 -- Ervin Hegedüs <airween@gmail.com>  Mon, 25 Sep 2023 14:43:11 +0200

modsecurity (3.0.9-1) unstable; urgency=medium

  * New upstream version.
    Fixes DoS CVE-2023-28882. (Closes: #1035083)
  * Removed patches/pcrem4.patch, applied upstream.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 25 Apr 2023 11:49:24 +0200

modsecurity (3.0.8-3) unstable; urgency=medium

  * New patch from Tobias Frost to fix FTBFS. (Closes: #1034760)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 24 Apr 2023 16:52:16 +0200

modsecurity (3.0.8-2) unstable; urgency=medium

  * Team upload
  * Switched from old PCRE to PCRE2
    https://lists.debian.org/debian-devel/2021/11/msg00176.html
  * Add lintian override for source missing of test HTML file
    [others/libinjection/misc/base.html]

 -- Ervin Hegedüs <airween@gmail.com>  Sun, 12 Mar 2023 17:35:53 +0100
