## modsecurity 3.0.10

=== debian/changelog ===
modsecurity (3.0.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0.10
    Fixes DoS CVE-2023-38285. (Closes: #1042475)

 -- Ervin Hegedüs <airween@gmail.com>  Sat, 29 Jul 2023 16:42:28 +0200
