## modsecurity 3.0.11

=== debian/changelog ===
modsecurity (3.0.11-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0.11
  * Add libpcre2-8 to patches/ftbfs_1034760.patch, it has modified in upstream

 -- Ervin Hegedüs <airween@gmail.com>  Thu, 07 Dec 2023 18:28:36 +0100
