=== debian/changelog ===
modsecurity (3.0.12-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:07:53 +0000

modsecurity (3.0.12-1.1build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:10:28 +0000

modsecurity (3.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062944

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:12:49 +0000

modsecurity (3.0.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0.12
    Fixes CVE-2024-1019

 -- Ervin Hegedüs <airween@gmail.com>  Tue, 30 Jan 2024 22:45:39 +0100
