=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: modsecurity
 Priority: optional
-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 13), libyajl-dev, libgeoip-dev, libxml2-dev, libpcre2-dev, libcurl4-gnutls-dev, liblua5.3-dev, libmaxminddb-dev, libfuzzy-dev, pkg-config
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13), libyajl-dev, libgeoip-dev, libxml2-dev, libpcre2-dev, libcurl4-gnutls-dev, liblua5.3-dev, libmaxminddb-dev, libfuzzy-dev, pkg-config
 Standards-Version: 4.6.1
 Section: libs
 Uploaders: Ervin Hegedus <airween@gmail.com>
@@ -12,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmodsecurity3 (= ${binary:Version}), ${misc:Depends}
+Depends: libmodsecurity3t64 (= ${binary:Version}), ${misc:Depends}
 Description: ModSecurity v3 library component (development files)
  Libmodsecurity is one component of the ModSecurity v3 project. The library
  codebase serves as an interface to ModSecurity Connectors taking in web
@@ -23,7 +24,10 @@
  .
  This package includes the development support files.
 
-Package: libmodsecurity3
+Package: libmodsecurity3t64
+Provides: ${t64:Provides}
+Replaces: libmodsecurity3
+Breaks: libmodsecurity3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
