=== debian/changelog ===
modsecurity (3.0.13-1) unstable; urgency=medium

  * New upstream version 3.0.13
  * Removed d/compat file
  * Added "debhelper-compat" to Build-Dep in d/control
  * Changed pkg-config to pkgconf in d/control

 -- Ervin Hegedüs <airween@gmail.com>  Thu, 05 Sep 2024 11:26:32 +0200

modsecurity (3.0.12-2) UNRELEASED; urgency=medium

  * Acknowledge NMU by Benjamin Drung. Thanks!

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 08 Apr 2024 13:14:42 +0200
