=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: modsecurity
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13), libyajl-dev, libgeoip-dev, libxml2-dev, libpcre2-dev, libcurl4-gnutls-dev, liblua5.3-dev, libmaxminddb-dev, libfuzzy-dev, pkg-config
+Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13), libyajl-dev, libgeoip-dev, libxml2-dev, libpcre2-dev, libcurl4-gnutls-dev, liblua5.3-dev, libmaxminddb-dev, libfuzzy-dev, pkgconf, debhelper-compat (= 13)
 Standards-Version: 4.6.1
 Section: libs
 Uploaders: Ervin Hegedus <airween@gmail.com>
